curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ad_account_id": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"time_zone_id": "<string>",
"change_types": [],
"entity_id": "<string>",
"limit": 100
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get"
payload = {
"ad_account_id": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"time_zone_id": "<string>",
"change_types": [],
"entity_id": "<string>",
"limit": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ad_account_id: '<string>',
start_date: '<string>',
end_date: '<string>',
time_zone_id: '<string>',
change_types: [],
entity_id: '<string>',
limit: 100
})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ad_account_id' => '<string>',
'start_date' => '<string>',
'end_date' => '<string>',
'time_zone_id' => '<string>',
'change_types' => [
],
'entity_id' => '<string>',
'limit' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get"
payload := strings.NewReader("{\n \"ad_account_id\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"time_zone_id\": \"<string>\",\n \"change_types\": [],\n \"entity_id\": \"<string>\",\n \"limit\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ad_account_id\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"time_zone_id\": \"<string>\",\n \"change_types\": [],\n \"entity_id\": \"<string>\",\n \"limit\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ad_account_id\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"time_zone_id\": \"<string>\",\n \"change_types\": [],\n \"entity_id\": \"<string>\",\n \"limit\": 100\n}"
response = http.request(request)
puts response.read_bodyAccount-history get
The change log of the connected ad account: who changed what (budgets, bids, statuses, targeting, creation) and when. Member emails and full names are redacted; Reddit usernames are kept.
CLI: adside reddit account-history get
curl --request POST \
--url https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ad_account_id": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"time_zone_id": "<string>",
"change_types": [],
"entity_id": "<string>",
"limit": 100
}
'import requests
url = "https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get"
payload = {
"ad_account_id": "<string>",
"start_date": "<string>",
"end_date": "<string>",
"time_zone_id": "<string>",
"change_types": [],
"entity_id": "<string>",
"limit": 100
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ad_account_id: '<string>',
start_date: '<string>',
end_date: '<string>',
time_zone_id: '<string>',
change_types: [],
entity_id: '<string>',
limit: 100
})
};
fetch('https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'ad_account_id' => '<string>',
'start_date' => '<string>',
'end_date' => '<string>',
'time_zone_id' => '<string>',
'change_types' => [
],
'entity_id' => '<string>',
'limit' => 100
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get"
payload := strings.NewReader("{\n \"ad_account_id\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"time_zone_id\": \"<string>\",\n \"change_types\": [],\n \"entity_id\": \"<string>\",\n \"limit\": 100\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"ad_account_id\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"time_zone_id\": \"<string>\",\n \"change_types\": [],\n \"entity_id\": \"<string>\",\n \"limit\": 100\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.adside.ai/v1/workspaces/{workspaceId}/reddit/account-history/get")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"ad_account_id\": \"<string>\",\n \"start_date\": \"<string>\",\n \"end_date\": \"<string>\",\n \"time_zone_id\": \"<string>\",\n \"change_types\": [],\n \"entity_id\": \"<string>\",\n \"limit\": 100\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
A personal API key (adside_pat_…) or a token from adside login. Either carries the permissions of the person it belongs to.
Path Parameters
1Body
Reddit ad account id (a2_…). Omit it: it defaults to the ad account this workspace is connected to, and any other account is refused.
Shortcut for a date range. Default last_7d when no start_date/end_date given.
today, yesterday, last_7d, last_14d, last_30d, this_month, last_month First day, YYYY-MM-DD, in time_zone_id.
^\d{4}-\d{2}-\d{2}$Last day (inclusive), YYYY-MM-DD, in time_zone_id.
^\d{4}-\d{2}-\d{2}$IANA zone for the date boundaries, e.g. Europe/Paris. Defaults to the ad account's time zone.
Only these kinds of change. Default: all.
AD_ACCOUNT, AD, AD_GROUP, AUDIENCE, BID, BUDGET, CAMPAIGN, STATUS, TARGETING Only changes to this campaign / ad group / ad id.
1 <= x <= 500Response
Success